> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Verification Request

> Submit a new tollfree verification request



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging/toll-free-verification.yml post /messaging_tollfree/verification/requests
openapi: 3.1.0
info:
  title: Telnyx Toll-free Verification API
  version: 2.0.0
  description: API for Toll-free verification.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /messaging_tollfree/verification/requests:
    post:
      tags:
        - Verification Requests
      summary: Submit Verification Request
      description: Submit a new tollfree verification request
      operationId: SubmitVerificationRequest
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TFVerificationRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerificationRequestEgress'
        4XX:
          $ref: '#/components/responses/toll-free-verification_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const verificationRequestEgress = await
            client.messagingTollfree.verification.requests.create({
              additionalInformation: 'additionalInformation',
              businessAddr1: '600 Congress Avenue',
              businessCity: 'Austin',
              businessContactEmail: 'email@example.com',
              businessContactFirstName: 'John',
              businessContactLastName: 'Doe',
              businessContactPhone: '+18005550100',
              businessName: 'Telnyx LLC',
              businessState: 'Texas',
              businessZip: '78701',
              corporateWebsite: 'http://example.com',
              messageVolume: '100,000',
              optInWorkflow:
                "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
              optInWorkflowImageURLs: [
                { url: 'https://telnyx.com/sign-up' },
                { url: 'https://telnyx.com/company/data-privacy' },
              ],
              phoneNumbers: [{ phoneNumber: '+18773554398' }, { phoneNumber: '+18773554399' }],
              productionMessageContent: 'Your Telnyx OTP is XXXX',
              useCase: '2FA',
              useCaseSummary:
                'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',
            });


            console.log(verificationRequestEgress.id);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            verification_request_egress =
            client.messaging_tollfree.verification.requests.create(
                additional_information="additionalInformation",
                business_addr1="600 Congress Avenue",
                business_city="Austin",
                business_contact_email="email@example.com",
                business_contact_first_name="John",
                business_contact_last_name="Doe",
                business_contact_phone="+18005550100",
                business_name="Telnyx LLC",
                business_state="Texas",
                business_zip="78701",
                corporate_website="http://example.com",
                message_volume="100,000",
                opt_in_workflow="User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
                opt_in_workflow_image_urls=[{
                    "url": "https://telnyx.com/sign-up"
                }, {
                    "url": "https://telnyx.com/company/data-privacy"
                }],
                phone_numbers=[{
                    "phone_number": "+18773554398"
                }, {
                    "phone_number": "+18773554399"
                }],
                production_message_content="Your Telnyx OTP is XXXX",
                use_case="2FA",
                use_case_summary="This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal",
            )

            print(verification_request_egress.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tverificationRequestEgress, err := client.MessagingTollfree.Verification.Requests.New(context.TODO(), telnyx.MessagingTollfreeVerificationRequestNewParams{\n\t\tTfVerificationRequest: telnyx.TfVerificationRequestParam{\n\t\t\tAdditionalInformation:    \"additionalInformation\",\n\t\t\tBusinessAddr1:            \"600 Congress Avenue\",\n\t\t\tBusinessCity:             \"Austin\",\n\t\t\tBusinessContactEmail:     \"email@example.com\",\n\t\t\tBusinessContactFirstName: \"John\",\n\t\t\tBusinessContactLastName:  \"Doe\",\n\t\t\tBusinessContactPhone:     \"+18005550100\",\n\t\t\tBusinessName:             \"Telnyx LLC\",\n\t\t\tBusinessState:            \"Texas\",\n\t\t\tBusinessZip:              \"78701\",\n\t\t\tCorporateWebsite:         \"http://example.com\",\n\t\t\tMessageVolume:            telnyx.VolumeV100000,\n\t\t\tOptInWorkflow:            \"User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset\",\n\t\t\tOptInWorkflowImageURLs: []telnyx.URLParam{{\n\t\t\t\tURL: \"https://telnyx.com/sign-up\",\n\t\t\t}, {\n\t\t\t\tURL: \"https://telnyx.com/company/data-privacy\",\n\t\t\t}},\n\t\t\tPhoneNumbers: []telnyx.TfPhoneNumberParam{{\n\t\t\t\tPhoneNumber: \"+18773554398\",\n\t\t\t}, {\n\t\t\t\tPhoneNumber: \"+18773554399\",\n\t\t\t}},\n\t\t\tProductionMessageContent: \"Your Telnyx OTP is XXXX\",\n\t\t\tUseCase:                  telnyx.UseCaseCategoriesTwoFa,\n\t\t\tUseCaseSummary:           \"This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal\",\n\t\t},\n\t})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", verificationRequestEgress.ID)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.TfPhoneNumber;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.TfVerificationRequest;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.Url;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.UseCaseCategories;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.VerificationRequestEgress;

            import
            com.telnyx.sdk.models.messagingtollfree.verification.requests.Volume;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    TfVerificationRequest params = TfVerificationRequest.builder()
                        .additionalInformation("additionalInformation")
                        .businessAddr1("600 Congress Avenue")
                        .businessCity("Austin")
                        .businessContactEmail("email@example.com")
                        .businessContactFirstName("John")
                        .businessContactLastName("Doe")
                        .businessContactPhone("+18005550100")
                        .businessName("Telnyx LLC")
                        .businessState("Texas")
                        .businessZip("78701")
                        .corporateWebsite("http://example.com")
                        .messageVolume(Volume.V_100000)
                        .optInWorkflow("User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset")
                        .addOptInWorkflowImageUrl(Url.builder()
                            .url("https://telnyx.com/sign-up")
                            .build())
                        .addOptInWorkflowImageUrl(Url.builder()
                            .url("https://telnyx.com/company/data-privacy")
                            .build())
                        .addPhoneNumber(TfPhoneNumber.builder()
                            .phoneNumber("+18773554398")
                            .build())
                        .addPhoneNumber(TfPhoneNumber.builder()
                            .phoneNumber("+18773554399")
                            .build())
                        .productionMessageContent("Your Telnyx OTP is XXXX")
                        .useCase(UseCaseCategories.TWO_FA)
                        .useCaseSummary("This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal")
                        .build();
                    VerificationRequestEgress verificationRequestEgress = client.messagingTollfree().verification().requests().create(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            verification_request_egress =
            telnyx.messaging_tollfree.verification.requests.create(
              additional_information: "additionalInformation",
              business_addr1: "600 Congress Avenue",
              business_city: "Austin",
              business_contact_email: "email@example.com",
              business_contact_first_name: "John",
              business_contact_last_name: "Doe",
              business_contact_phone: "+18005550100",
              business_name: "Telnyx LLC",
              business_state: "Texas",
              business_zip: "78701",
              corporate_website: "http://example.com",
              message_volume: :"100,000",
              opt_in_workflow: "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset",
              opt_in_workflow_image_urls: [{url: "https://telnyx.com/sign-up"}, {url: "https://telnyx.com/company/data-privacy"}],
              phone_numbers: [{phoneNumber: "+18773554398"}, {phoneNumber: "+18773554399"}],
              production_message_content: "Your Telnyx OTP is XXXX",
              use_case: :"2FA",
              use_case_summary: "This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal"
            )


            puts(verification_request_egress)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;

            use Telnyx\MessagingTollfree\Verification\Requests\Volume;

            use
            Telnyx\MessagingTollfree\Verification\Requests\UseCaseCategories;

            use
            Telnyx\MessagingTollfree\Verification\Requests\TollFreeVerificationEntityType;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $verificationRequestEgress = $client
                ->messagingTollfree
                ->verification
                ->requests
                ->create(
                additionalInformation: 'additionalInformation',
                businessAddr1: '600 Congress Avenue',
                businessCity: 'Austin',
                businessContactEmail: 'email@example.com',
                businessContactFirstName: 'John',
                businessContactLastName: 'Doe',
                businessContactPhone: '+18005550100',
                businessName: 'Telnyx LLC',
                businessState: 'Texas',
                businessZip: '78701',
                corporateWebsite: 'http://example.com',
                messageVolume: Volume::V_100000,
                optInWorkflow: 'User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they\'ve opted in a confirmation message is sent out to the handset',
                optInWorkflowImageURLs: [
                  ['url' => 'https://telnyx.com/sign-up'],
                  ['url' => 'https://telnyx.com/company/data-privacy'],
                ],
                phoneNumbers: [
                  ['phoneNumber' => '+18773554398'], ['phoneNumber' => '+18773554399']
                ],
                productionMessageContent: 'Your Telnyx OTP is XXXX',
                useCase: UseCaseCategories::TWO_FA,
                useCaseSummary: 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal',
                ageGatedContent: true,
                businessAddr2: '14th Floor',
                businessRegistrationCountry: 'US',
                businessRegistrationNumber: '12-3456789',
                businessRegistrationType: 'EIN',
                campaignVerifyAuthorizationToken: 'cv_token_abc123xyz',
                doingBusinessAs: 'Acme Services',
                entityType: TollFreeVerificationEntityType::SOLE_PROPRIETOR,
                helpMessageResponse: 'Reply HELP for assistance or STOP to unsubscribe. Contact: support@example.com',
                isvReseller: 'isvReseller',
                optInConfirmationResponse: 'You have successfully opted in to receive messages from Acme Corp',
                optInKeywords: 'START, YES, SUBSCRIBE',
                privacyPolicyURL: 'https://example.com/privacy',
                termsAndConditionURL: 'https://example.com/terms',
                webhookURL: 'http://example-webhook.com',
              );

              var_dump($verificationRequestEgress);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging-tollfree:verification:requests create \
              --api-key 'My API Key' \
              --additional-information additionalInformation \
              --business-addr1 '600 Congress Avenue' \
              --business-city Austin \
              --business-contact-email email@example.com \
              --business-contact-first-name John \
              --business-contact-last-name Doe \
              --business-contact-phone +18005550100 \
              --business-name 'Telnyx LLC' \
              --business-state Texas \
              --business-zip 78701 \
              --corporate-website http://example.com \
              --message-volume 100,000 \
              --opt-in-workflow "User signs into the Telnyx portal, enters a number and is prompted to select whether they want to use 2FA verification for security purposes. If they've opted in a confirmation message is sent out to the handset" \
              --opt-in-workflow-image-url '{url: https://telnyx.com/sign-up}' \
              --opt-in-workflow-image-url '{url: https://telnyx.com/company/data-privacy}' \
              --phone-number "{phoneNumber: '+18773554398'}" \
              --phone-number "{phoneNumber: '+18773554399'}" \
              --production-message-content 'Your Telnyx OTP is XXXX' \
              --use-case 2FA \
              --use-case-summary 'This is a use case where Telnyx sends out 2FA codes to portal users to verify their identity in order to sign into the portal'
components:
  schemas:
    TFVerificationRequest:
      title: VerificationRequest
      required:
        - businessName
        - corporateWebsite
        - businessAddr1
        - businessCity
        - businessState
        - businessZip
        - businessContactFirstName
        - businessContactLastName
        - businessContactEmail
        - businessContactPhone
        - messageVolume
        - phoneNumbers
        - useCase
        - useCaseSummary
        - productionMessageContent
        - optInWorkflow
        - optInWorkflowImageURLs
        - additionalInformation
      type: object
      properties:
        businessName:
          title: Businessname
          type: string
          maxLength: 500
          description: Name of the business; there are no specific formatting requirements
          example: Telnyx LLC
        corporateWebsite:
          title: Corporatewebsite
          type: string
          maxLength: 500
          description: A URL, including the scheme, pointing to the corporate website
          example: http://example.com
        businessAddr1:
          title: Businessaddr1
          type: string
          maxLength: 500
          description: Line 1 of the business address
          example: 600 Congress Avenue
        businessAddr2:
          title: Businessaddr2
          type: string
          maxLength: 500
          description: Line 2 of the business address
          example: 14th Floor
        businessCity:
          title: Businesscity
          type: string
          maxLength: 500
          description: >-
            The city of the business address; the first letter should be
            capitalized
          example: Austin
        businessState:
          title: Businessstate
          type: string
          maxLength: 500
          description: >-
            The full name of the state (not the 2 letter code) of the business
            address; the first letter should be capitalized
          example: Texas
        businessZip:
          title: Businesszip
          type: string
          maxLength: 500
          description: The ZIP code of the business address
          example: '78701'
        businessContactFirstName:
          title: Businesscontactfirstname
          type: string
          maxLength: 500
          description: >-
            First name of the business contact; there are no specific
            requirements on formatting
          example: John
        businessContactLastName:
          title: Businesscontactlastname
          type: string
          maxLength: 500
          description: >-
            Last name of the business contact; there are no specific
            requirements on formatting
          example: Doe
        businessContactEmail:
          title: Businesscontactemail
          type: string
          maxLength: 500
          description: The email address of the business contact
          example: email@example.com
        businessContactPhone:
          title: Businesscontactphone
          type: string
          maxLength: 500
          description: The phone number of the business contact in E.164 format
          example: '+18005550100'
        messageVolume:
          allOf:
            - $ref: '#/components/schemas/Volume'
          description: Estimated monthly volume of messages from the given phone numbers
          example: 100,000
        phoneNumbers:
          title: Phonenumbers
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/TFPhoneNumber'
          description: The phone numbers to request the verification of
          example:
            - phoneNumber: '+18773554398'
            - phoneNumber: '+18773554399'
        useCase:
          allOf:
            - $ref: '#/components/schemas/UseCaseCategories'
          description: Machine-readable use-case for the phone numbers
          example: 2FA
        useCaseSummary:
          title: Usecasesummary
          type: string
          maxLength: 500
          description: Human-readable summary of the desired use-case
          example: >-
            This is a use case where Telnyx sends out 2FA codes to portal users
            to verify their identity in order to sign into the portal
        productionMessageContent:
          title: Productionmessagecontent
          type: string
          maxLength: 1000
          description: >-
            An example of a message that will be sent from the given phone
            numbers
          example: Your Telnyx OTP is XXXX
        optInWorkflow:
          title: Optinworkflow
          type: string
          maxLength: 500
          description: >-
            Human-readable description of how end users will opt into receiving
            messages from the given phone numbers
          example: >-
            User signs into the Telnyx portal, enters a number and is prompted
            to select whether they want to use 2FA verification for security
            purposes. If they've opted in a confirmation message is sent out to
            the handset
        optInWorkflowImageURLs:
          title: Optinworkflowimageurls
          minItems: 1
          type: array
          items:
            $ref: '#/components/schemas/Url'
          description: Images showing the opt-in workflow
          example:
            - url: https://telnyx.com/sign-up
            - url: https://telnyx.com/company/data-privacy
        additionalInformation:
          title: Additionalinformation
          type: string
          maxLength: 500
          description: Any additional information
        isvReseller:
          title: Isvreseller
          type:
            - string
            - 'null'
          maxLength: 500
          description: ISV name
        webhookUrl:
          title: Webhookurl
          type: string
          maxLength: 500
          description: >-
            URL that should receive webhooks relating to this verification
            request
          example: http://example-webhook.com
        businessRegistrationNumber:
          title: Businessregistrationnumber
          type:
            - string
            - 'null'
          maxLength: 500
          description: >-
            Official business registration number (e.g., Employer Identification
            Number (EIN) in the U.S.). Required from January 2026.
          example: 12-3456789
        businessRegistrationType:
          title: Businessregistrationtype
          type:
            - string
            - 'null'
          maxLength: 500
          description: >-
            Type of business registration being provided. Required from January
            2026.
          example: EIN
        businessRegistrationCountry:
          title: Businessregistrationcountry
          type:
            - string
            - 'null'
          maxLength: 2
          pattern: ^[A-Z]{2}$
          description: >-
            ISO 3166-1 alpha-2 country code of the issuing business authority.
            Must be exactly 2 letters. Automatically converted to uppercase.
            Required from January 2026.
          example: US
        doingBusinessAs:
          title: Doingbusinessas
          type:
            - string
            - 'null'
          maxLength: 500
          description: Doing Business As (DBA) name if different from legal name
          example: Acme Services
        entityType:
          anyOf:
            - $ref: '#/components/schemas/toll-free-verification_EntityType'
            - type: 'null'
          description: >-
            Business entity classification. Must be one of the 5 valid enum
            values.
        optInConfirmationResponse:
          title: Optinconfirmationresponse
          type:
            - string
            - 'null'
          maxLength: 500
          description: Message sent to users confirming their opt-in to receive messages
          example: You have successfully opted in to receive messages from Acme Corp
        helpMessageResponse:
          title: Helpmessageresponse
          type:
            - string
            - 'null'
          maxLength: 500
          description: The message returned when users text 'HELP'
          example: >-
            Reply HELP for assistance or STOP to unsubscribe. Contact:
            support@example.com
        privacyPolicyURL:
          title: Privacypolicyurl
          type:
            - string
            - 'null'
          maxLength: 500
          description: >-
            URL pointing to the business's privacy policy. Plain string, no URL
            format validation.
          example: https://example.com/privacy
        termsAndConditionURL:
          title: Termsandconditionurl
          type:
            - string
            - 'null'
          maxLength: 500
          description: >-
            URL pointing to the business's terms and conditions. Plain string,
            no URL format validation.
          example: https://example.com/terms
        ageGatedContent:
          title: Agegatedcontent
          type: boolean
          default: false
          description: >-
            Indicates if messaging content requires age gating (e.g., 18+).
            Defaults to false if not provided.
        optInKeywords:
          title: Optinkeywords
          type:
            - string
            - 'null'
          maxLength: 500
          description: Keywords used to collect and process consumer opt-ins
          example: START, YES, SUBSCRIBE
        campaignVerifyAuthorizationToken:
          title: Campaignverifyauthorizationtoken
          type:
            - string
            - 'null'
          maxLength: 500
          description: >-
            Campaign Verify Authorization Token required for Political use case
            submissions starting February 17, 2026. This token is validated by
            Zipwhip and must be provided for all Political use case
            verifications after the deadline.
          example: cv_token_abc123xyz
      description: The body of a tollfree verification request
    VerificationRequestEgress:
      title: VerificationRequestEgress
      required:
        - businessName
        - corporateWebsite
        - businessAddr1
        - businessCity
        - businessState
        - businessZip
        - businessContactFirstName
        - businessContactLastName
        - businessContactEmail
        - businessContactPhone
        - messageVolume
        - phoneNumbers
        - useCase
        - useCaseSummary
        - productionMessageContent
        - optInWorkflow
        - optInWorkflowImageURLs
        - additionalInformation
        - id
        - verificationRequestId
      type: object
      properties:
        businessName:
          title: Businessname
          type: string
          example: Telnyx LLC
        corporateWebsite:
          title: Corporatewebsite
          type: string
          example: http://example.com
        businessAddr1:
          title: Businessaddr1
          type: string
          example: 600 Congress Avenue
        businessAddr2:
          title: Businessaddr2
          type: string
          example: 14th Floor
        businessCity:
          title: Businesscity
          type: string
          example: Austin
        businessState:
          title: Businessstate
          type: string
          example: Texas
        businessZip:
          title: Businesszip
          type: string
          example: '78701'
        businessContactFirstName:
          title: Businesscontactfirstname
          type: string
          example: John
        businessContactLastName:
          title: Businesscontactlastname
          type: string
          example: Doe
        businessContactEmail:
          title: Businesscontactemail
          type: string
          example: email@example.com
        businessContactPhone:
          title: Businesscontactphone
          type: string
          example: '+18005550100'
        messageVolume:
          allOf:
            - $ref: '#/components/schemas/Volume'
          description: >-
            One of the following exact values: 10; 100; 1,000; 10,000; 100,000;
            250,000; 500,000; 750,000; 1,000,000; 5,000,000; 10,000,000+
          example: 100,000
        phoneNumbers:
          title: Phonenumbers
          type: array
          items:
            $ref: '#/components/schemas/TFPhoneNumber'
          example:
            - phoneNumber: '+18773554398'
            - phoneNumber: '+18773554399'
        useCase:
          allOf:
            - $ref: '#/components/schemas/UseCaseCategories'
          example: 2FA
        useCaseSummary:
          title: Usecasesummary
          type: string
          example: >-
            This is a use case where Telnyx sends out 2FA codes to portal users
            to verify their identity in order to sign into the portal
        productionMessageContent:
          title: Productionmessagecontent
          type: string
          example: Your Telnyx OTP is XXXX
        optInWorkflow:
          title: Optinworkflow
          type: string
          example: >-
            User signs into the Telnyx portal, enters number and is prompted to
            select whether they want to use 2FA verification for security
            purposes. If they've opted in a confirmation message is sent out to
            the handset
        optInWorkflowImageURLs:
          title: Optinworkflowimageurls
          type: array
          items:
            $ref: '#/components/schemas/Url'
          example:
            - url: https://telnyx.com/sign-up
            - url: https://telnyx.com/company/data-privacy
        additionalInformation:
          title: Additionalinformation
          type: string
          example: This is for security purposes, blah blah blah
        isvReseller:
          title: Isvreseller
          type: string
          example: 'Yes'
        webhookUrl:
          title: Webhookurl
          type: string
          example: http://example-webhook.com
        businessRegistrationNumber:
          title: Businessregistrationnumber
          type: string
          example: 12-3456789
        businessRegistrationType:
          title: Businessregistrationtype
          type: string
          example: EIN
        businessRegistrationCountry:
          title: Businessregistrationcountry
          type: string
          example: US
        doingBusinessAs:
          title: Doingbusinessas
          type: string
          example: Acme Services
        entityType:
          allOf:
            - $ref: '#/components/schemas/toll-free-verification_EntityType'
          example: PRIVATE_PROFIT
        optInConfirmationResponse:
          title: Optinconfirmationresponse
          type: string
          example: You have successfully opted in to receive messages from Acme Corp
        helpMessageResponse:
          title: Helpmessageresponse
          type: string
          example: >-
            Reply HELP for assistance or STOP to unsubscribe. Contact:
            support@example.com
        privacyPolicyURL:
          title: Privacypolicyurl
          type: string
          example: https://example.com/privacy
        termsAndConditionURL:
          title: Termsandconditionurl
          type: string
          example: https://example.com/terms
        ageGatedContent:
          title: Agegatedcontent
          type: boolean
          example: false
        optInKeywords:
          title: Optinkeywords
          type: string
          example: START, YES, SUBSCRIBE
        campaignVerifyAuthorizationToken:
          title: Campaignverifyauthorizationtoken
          type:
            - string
            - 'null'
          maxLength: 500
          description: >-
            Campaign Verify Authorization Token required for Political use case
            submissions starting February 17, 2026
          example: cv_token_abc123xyz
        id:
          title: Id
          type: string
          format: uuid
        verificationRequestId:
          title: Verificationrequestid
          type: string
        verificationStatus:
          allOf:
            - $ref: '#/components/schemas/TFVerificationStatus'
          default: In Progress
      description: A verification request as it comes out of the database
    Volume:
      title: Volume
      enum:
        - '10'
        - '100'
        - 1,000
        - 10,000
        - 100,000
        - 250,000
        - 500,000
        - 750,000
        - 1,000,000
        - 5,000,000
        - 10,000,000+
      type: string
      description: Message Volume Enums
    TFPhoneNumber:
      title: PhoneNumber
      required:
        - phoneNumber
      type: object
      properties:
        phoneNumber:
          title: Phonenumber
          type: string
      description: A phone number
    UseCaseCategories:
      title: UseCaseCategories
      enum:
        - 2FA
        - App Notifications
        - Appointments
        - Auctions
        - Auto Repair Services
        - Bank Transfers
        - Billing
        - Booking Confirmations
        - Business Updates
        - COVID-19 Alerts
        - Career Training
        - Chatbot
        - Conversational / Alerts
        - Courier Services & Deliveries
        - Emergency Alerts
        - Events & Planning
        - Financial Services
        - Fraud Alerts
        - Fundraising
        - General Marketing
        - General School Updates
        - HR / Staffing
        - Healthcare Alerts
        - Housing Community Updates
        - Insurance Services
        - Job Dispatch
        - Legal Services
        - Mixed
        - Motivational Reminders
        - Notary Notifications
        - Order Notifications
        - Political
        - Public Works
        - Real Estate Services
        - Religious Services
        - Repair and Diagnostics Alerts
        - Rewards Program
        - Surveys
        - System Alerts
        - Voting Reminders
        - Waitlist Alerts
        - Webinar Reminders
        - Workshop Alerts
      type: string
      description: Tollfree usecase categories
    Url:
      title: Url
      required:
        - url
      type: object
      properties:
        url:
          title: Url
          maxLength: 2083
          minLength: 1
          type: string
          format: uri
    toll-free-verification_EntityType:
      title: EntityType
      type: string
      enum:
        - SOLE_PROPRIETOR
        - PRIVATE_PROFIT
        - PUBLIC_PROFIT
        - NON_PROFIT
        - GOVERNMENT
      description: Business entity classification
    TFVerificationStatus:
      title: VerificationStatus
      enum:
        - Verified
        - Rejected
        - Waiting For Vendor
        - Waiting For Customer
        - Waiting For Telnyx
        - In Progress
      type: string
      description: Tollfree verification status
    toll-free-verification_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/toll-free-verification_Error'
      type: object
    toll-free-verification_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  responses:
    toll-free-verification_GenericErrorResponse:
      description: Generic error response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/toll-free-verification_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````